<?php
/**
 *
 * RS Recent News
 * @since 1.0.0
 * @version 1.1.0
 *
 */
function rs_recent_news( $atts, $content = '', $id = '' ) {

  extract( shortcode_atts( array(
    'id'             => '',
    'class'          => '',
    'cats'           => 0,
    'post_per_page'  => 3,
    'excerpt_length' => 35,
    'orderby'        => 'date',
    'exclude_posts'  => '',
  ), $atts ) );

  $id    = ( $id ) ? ' id="'. esc_attr($id) .'"' : '';
  $class = ( $class ) ? ' '. $class : '';

  if (get_query_var('paged')) {
    $paged = get_query_var('paged');
  } elseif (get_query_var('page')) {
    $paged = get_query_var('page');
  } else {
    $paged = 1;
  }

  $args = array(
    'paged'          => $paged,
    'orderby'        => $orderby,
    'posts_per_page' => $post_per_page,
    //'meta_query'     => array(array('key' => '_thumbnail_id')),
  );

  if( $cats ) {
    $args['tax_query'] = array(
      array(
        'taxonomy' => 'category',
        'field'    => 'ids',
        'terms'    => explode( ',', $cats )
      )
    );
  }

  if (!empty($exclude_posts)) {
    $exclude_posts_arr = explode(',',$exclude_posts);
    if (is_array($exclude_posts_arr) && count($exclude_posts_arr) > 0) {
      $args['post__not_in'] = array_map('intval',$exclude_posts_arr);
    }
  }

  ob_start();

  $the_query = new WP_Query($args); 
  $max_num_pages = $the_query->max_num_pages; ?>

  <?php while ($the_query -> have_posts()) : $the_query -> the_post(); ?>
  <div <?php post_class('tt-post type-6 clearfix'); ?>>
    <?php videoly_post_format('videoly-medium-ver', 'img-responsive'); ?>
    <div class="tt-post-info">
      <?php videoly_blog_category(); ?>
      <?php videoly_blog_title('c-h5'); ?>
      <?php videoly_blog_author_date(); ?>
      <?php videoly_blog_excerpt($excerpt_length); ?>
      <?php videoly_blog_post_bottom(); ?>
    </div>
  </div>
  <div class="empty-space marg-lg-b30"></div>
  <?php endwhile; wp_reset_postdata(); videoly_paging_nav($max_num_pages); ?>
  <?php
  $output = ob_get_clean();
  return $output;
}
add_shortcode( 'rs_recent_news', 'rs_recent_news' );
